---
title: Read latest snapshot
description: Return the latest snapshot information for a specified PingOne configuration resource
component: pingone-api
page_id: pingone-api:platform:configuration-management/snapshots/get-latest-snapshot
canonical_url: https://developer.pingidentity.com/pingone-api/platform/configuration-management/snapshots/get-latest-snapshot.html
llms_txt: https://developer.pingidentity.com/pingone-api/llms.txt
docs_for_agents: https://developer.pingidentity.com/build-with-ai/docs-for-agents.md
revdate: 2026-05-26
section_ids:
  headers: Headers
  example-request: Example Request
  example-response: Example Response
---

# Read latest snapshot

##

```none
GET {{apiPath}}/v1/environments/{{envID}}/snapshots/{{configResourceID}}
```

Use GET `{{apiPath}}/v1/environments/{{envID}}/snapshots/{{configResourceID}}` to return the latest snapshot information for the specified configuration resource.

Any `configuration` attributes specified that contain sensitive information in plain text (such as, display names, client secrets, passwords) are masked in the response, and aren't available to any caller, even administrators. Refer to [Snapshots data model](index.html#snaphots-model).

> **Collapse: Query parameters**
>
> | Query parameter | Attributes (or allowed limits) |
> | --------------- | ------------------------------ |
> | `filter`        | `resourceCategory` (eq)        |
>
> See [Paging and ordering collections](../../reference/paging-ordering-collections.html) for more information.

### Headers

Authorization      Bearer {{accessToken}}

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff '{{apiPath}}/v1/environments/{{envID}}/snapshots/{{configResourceID}}' \
--header 'Authorization: Bearer {{accessToken}}'
```

```csharp
var options = new RestClientOptions("{{apiPath}}/v1/environments/{{envID}}/snapshots/{{configResourceID}}")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("Authorization", "Bearer {{accessToken}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/v1/environments/{{envID}}/snapshots/{{configResourceID}}"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
GET /v1/environments/{{envID}}/snapshots/{{configResourceID}} HTTP/1.1
Host: {{apiPath}}
Authorization: Bearer {{accessToken}}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{apiPath}}/v1/environments/{{envID}}/snapshots/{{configResourceID}}")
  .method("GET", body)
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{apiPath}}/v1/environments/{{envID}}/snapshots/{{configResourceID}}",
  "method": "GET",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer {{accessToken}}"
  },
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{apiPath}}/v1/environments/{{envID}}/snapshots/{{configResourceID}}',
  'headers': {
    'Authorization': 'Bearer {{accessToken}}'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests

url = "{{apiPath}}/v1/environments/{{envID}}/snapshots/{{configResourceID}}"

payload = {}
headers = {
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/v1/environments/{{envID}}/snapshots/{{configResourceID}}');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Authorization' => 'Bearer {{accessToken}}'
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "net/http"

url = URI("{{apiPath}}/v1/environments/{{envID}}/snapshots/{{configResourceID}}")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer {{accessToken}}"

response = http.request(request)
puts response.read_body
```

```swift
var request = URLRequest(url: URL(string: "{{apiPath}}/v1/environments/{{envID}}/snapshots/{{configResourceID}}")!,timeoutInterval: Double.infinity)
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

200 OK

```json
{
    "_links": {
        "self": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/snapshots/0b7795ac-c589-4311-82bd-b1a9caff7a6a/versions/ab00b05b-26d3-4de1-9c17-74a08adc238e"
        },
        "environment": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
        }
    },
    "id": "c47e8abf-e830-4bb4-9fe0-260895ce326e",
    "environment": {
        "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
    },
    "snapshotId": "ab00b05b-26d3-4de1-9c17-74a08adc238e",
    "resource": {
        "id": "0b7795ac-c589-4311-82bd-b1a9caff7a6a"
    },
    "createdAt": "2024-09-09T14:43:55.346Z",
    "startedAt": "2024-09-09T14:43:55.482Z",
    "completedAt": "2024-09-09T14:43:55.538Z",
    "versionedAt": "2021-10-08T18:00:20.458Z",
    "status": "COMPLETE",
    "resourceUrl": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/populations/0b7795ac-c589-4311-82bd-b1a9caff7a6a",
    "configuration": {
        "_links": {
            "self": {
                "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/populations/0b7795ac-c589-4311-82bd-b1a9caff7a6a"
            },
            "environment": {
                "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
            }
        },
        "id": "0b7795ac-c589-4311-82bd-b1a9caff7a6a",
        "environment": {
            "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
        },
        "name": "ApplicationPopulation_1633716020",
        "description": "Population for application users",
        "userCount": 1,
        "createdAt": "2021-10-08T18:00:20.458Z",
        "updatedAt": "2021-10-08T18:00:20.458Z",
        "default": false
    }
}
```
